std::numeric_limits< float > Struct Reference

`#include <limits>`

## Static Public Member Functions

static constexpr float | denorm_min () noexcept
static constexpr float | epsilon () noexcept
static constexpr float | infinity () noexcept
static constexpr float | lowest () noexcept
static constexpr float | max () noexcept
static constexpr float | min () noexcept
static constexpr float | quiet_NaN () noexcept
static constexpr float | round_error () noexcept
static constexpr float | signaling_NaN () noexcept

## Static Public Attributes

static constexpr int | digits
static constexpr int | digits10
static constexpr float_denorm_style | has_denorm
static constexpr bool | has_denorm_loss
static constexpr bool | has_infinity
static constexpr bool | has_quiet_NaN
static constexpr bool | has_signaling_NaN
static constexpr bool | is_bounded
static constexpr bool | is_exact
static constexpr bool | is_iec559
static constexpr bool | is_integer
static constexpr bool | is_modulo
static constexpr bool | is_signed
static constexpr bool | is_specialized
static constexpr int | max_digits10
static constexpr int | max_exponent
static constexpr int | max_exponent10
static constexpr int | min_exponent
static constexpr int | min_exponent10
static constexpr int | radix
static constexpr float_round_style | round_style
static constexpr bool | tinyness_before
static constexpr bool | traps

## Detailed Description

numeric_limits<float> specialization.

Definition at line 1670 of file limits.

## Member Function Documentation

## denorm_min()

static constexpr float std::numeric_limits< float >::denorm_min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1725 of file limits.

## epsilon()

static constexpr float std::numeric_limits< float >::epsilon | ( |  | ) |

inline static constexpr noexcept

Definition at line 1697 of file limits.

## infinity()

static constexpr float std::numeric_limits< float >::infinity | ( |  | ) |

inline static constexpr noexcept

Definition at line 1716 of file limits.

## lowest()

static constexpr float std::numeric_limits< float >::lowest | ( |  | ) |

inline static constexpr noexcept

Definition at line 1682 of file limits.

## max()

static constexpr float std::numeric_limits< float >::max | ( |  | ) |

inline static constexpr noexcept

Definition at line 1678 of file limits.

## min()

static constexpr float std::numeric_limits< float >::min | ( |  | ) |

inline static constexpr noexcept

Definition at line 1675 of file limits.

## quiet_NaN()

static constexpr float std::numeric_limits< float >::quiet_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1719 of file limits.

## round_error()

static constexpr float std::numeric_limits< float >::round_error | ( |  | ) |

inline static constexpr noexcept

Definition at line 1700 of file limits.

## signaling_NaN()

static constexpr float std::numeric_limits< float >::signaling_NaN | ( |  | ) |

inline static constexpr noexcept

Definition at line 1722 of file limits.

## Member Data Documentation

## digits

constexpr int std::numeric_limits< float >::digits

static constexpr

Definition at line 1685 of file limits.

## digits10

constexpr int std::numeric_limits< float >::digits10

static constexpr

Definition at line 1686 of file limits.

## has_denorm

constexpr float_denorm_style std::numeric_limits< float >::has_denorm

static constexpr

Definition at line 1710 of file limits.

## has_denorm_loss

constexpr bool std::numeric_limits< float >::has_denorm_loss

static constexpr

Definition at line 1712 of file limits.

## has_infinity

constexpr bool std::numeric_limits< float >::has_infinity

static constexpr

Definition at line 1707 of file limits.

## has_quiet_NaN

constexpr bool std::numeric_limits< float >::has_quiet_NaN

static constexpr

Definition at line 1708 of file limits.

## has_signaling_NaN

constexpr bool std::numeric_limits< float >::has_signaling_NaN

static constexpr

Definition at line 1709 of file limits.

## is_bounded

constexpr bool std::numeric_limits< float >::is_bounded

static constexpr

Definition at line 1729 of file limits.

## is_exact

constexpr bool std::numeric_limits< float >::is_exact

static constexpr

Definition at line 1693 of file limits.

## is_iec559

constexpr bool std::numeric_limits< float >::is_iec559

static constexpr

Definition at line 1727 of file limits.

## is_integer

constexpr bool std::numeric_limits< float >::is_integer

static constexpr

Definition at line 1692 of file limits.

## is_modulo

constexpr bool std::numeric_limits< float >::is_modulo

static constexpr

Definition at line 1730 of file limits.

## is_signed

constexpr bool std::numeric_limits< float >::is_signed

static constexpr

Definition at line 1691 of file limits.

## is_specialized

constexpr bool std::numeric_limits< float >::is_specialized

static constexpr

Definition at line 1672 of file limits.

## max_digits10

constexpr int std::numeric_limits< float >::max_digits10

static constexpr

Definition at line 1688 of file limits.

## max_exponent

constexpr int std::numeric_limits< float >::max_exponent

static constexpr

Definition at line 1704 of file limits.

## max_exponent10

constexpr int std::numeric_limits< float >::max_exponent10

static constexpr

Definition at line 1705 of file limits.

## min_exponent

constexpr int std::numeric_limits< float >::min_exponent

static constexpr

Definition at line 1702 of file limits.

## min_exponent10

constexpr int std::numeric_limits< float >::min_exponent10

static constexpr

Definition at line 1703 of file limits.

## radix

constexpr int std::numeric_limits< float >::radix

static constexpr

Definition at line 1694 of file limits.

## round_style

constexpr float_round_style std::numeric_limits< float >::round_style

static constexpr

Definition at line 1735 of file limits.

## tinyness_before

constexpr bool std::numeric_limits< float >::tinyness_before

static constexpr

Definition at line 1733 of file limits.

## traps

constexpr bool std::numeric_limits< float >::traps

static constexpr

Definition at line 1732 of file limits.

The documentation for this struct was generated from the following file:

- limits